Subject: [secdir] SECDIR Review of draft-ietf-pce-rfc7150bis-01

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 24 Dec 2014 15:52:50 +0000

I have reviewed this document as part of the security directorate's ongoing
effort to review all IETF documents being processed by the IESG. These
comments were written primarily for the benefit of the security area
directors. Document editors and WG chairs should treat these comments just
like any other last call comments.

The document is making an essentially syntactic modification to an existing
specification so that the suite of specifications applies a uniform
approach to extension syntax.

As such, the proposal does not raise new security concerns beyond the
normal concerns raised by syntax.

One concern that is raised is the risk of attack through construction of an
attribute with a Tag-Length-Value such that the specified length is invalid
being either negative (in signed arithmetic) or greater than the size of
the enclosing construct.

While both concerns can be avoided through appropriate coding techniques, a
note to remind implementers that caution is required is appropriate.